Changeset 6621


Ignore:
Timestamp:
07/03/10 21:57:29 (4 years ago)
Author:
alanbach-guest
Message:
  • Sync'd with Debian 2.30.1-2
Location:
pkg/vinnie/main/libgnomekbd/trunk/debian
Files:
6 edited

Legend:

Unmodified
Added
Removed
  • pkg/vinnie/main/libgnomekbd/trunk/debian/changelog

    r6571 r6621  
    1 libgnomekbd (1:2.28.2-parsix2) unstable; urgency=low 
    2  
    3   * Rebuilt using xklavier 4.0 
    4  
    5  -- Alan Baghumian <alan@technotux.org>  Wed, 21 Apr 2010 21:32:12 -0700 
    6  
    7 libgnomekbd (2.28.2-parsix1) unstable; urgency=low 
    8  
    9   * New upstream bugfix release 
    10  
    11  -- Alan Baghumian <alan@technotux.org>  Sat, 02 Jan 2010 18:48:56 -0800 
    12  
    13 libgnomekbd (2.28.0-parsix1) unstable; urgency=low 
    14  
    15   * Sync'd with Debian 2.28.0-1 
    16  
    17  -- Alan Baghumian <alan@technotux.org>  Thu, 26 Nov 2009 17:54:16 -0800 
     1libgnomekbd (1:2.30.2-parsix1) unstable; urgency=low 
     2 
     3  * Sync'd with Debian 2.30.1-2 
     4 
     5 -- Alan Baghumian <alan@technotux.org>  Sat, 03 Jul 2010 12:56:48 -0700 
     6 
     7libgnomekbd (2.30.1-2) unstable; urgency=low 
     8 
     9  * 02_layout_crash.patch: stolen upstream. Fixes a crasher caused by an  
     10    unitialized value. Hopefully closes: #580228. 
     11 
     12 -- Josselin Mouette <joss@debian.org>  Wed, 05 May 2010 19:02:02 +0200 
     13 
     14libgnomekbd (2.30.1-1) unstable; urgency=low 
     15 
     16  * New upstream bugfix release: 
     17    + debian/patches/02_fontsize_schema.patch: 
     18      - Dropped, merged upstream. 
     19 
     20 -- Sebastian Dröge <slomo@debian.org>  Sat, 24 Apr 2010 06:22:54 +0200 
     21 
     22libgnomekbd (2.30.0-1) unstable; urgency=low 
     23 
     24  * New upstream release. 
     25  * 10_gsd_crash.patch: dropped, merged upstream. 
     26  * 02_fontsize_schema.patch: new patch. Set a default for the font  
     27    size, to avoid warnings upon installation and at runtime. 
     28 
     29 -- Josselin Mouette <joss@debian.org>  Fri, 09 Apr 2010 00:00:33 +0200 
     30 
     31libgnomekbd (2.29.92-1) experimental; urgency=low 
     32 
     33  * New upstream release candidate. 
     34  * Bump shlibs version. 
     35  * Bump libxklavier dependency. 
     36  * Drop D-Bus dependencies. 
     37  * 01_requires_private.patch: updated for the new version. 
     38  * 10_gsd_crash.patch: stolen upstream. Avoid a crasher. 
     39 
     40 -- Josselin Mouette <joss@debian.org>  Sun, 28 Mar 2010 11:02:15 +0200 
     41 
     42libgnomekbd (2.28.2-1) unstable; urgency=low 
     43 
     44  * New upstream bugfix release. 
     45 
     46 -- Emilio Pozuelo Monfort <pochu@debian.org>  Mon, 14 Dec 2009 19:47:46 +0100 
    1847 
    1948libgnomekbd (2.28.0-2) unstable; urgency=low 
  • pkg/vinnie/main/libgnomekbd/trunk/debian/control

    r6571 r6621  
     1# This file is autogenerated. DO NOT EDIT! 
     2#  
     3# Modifications should be made to debian/control.in instead. 
     4# This file is regenerated automatically in the clean target. 
     5 
    16Source: libgnomekbd 
    27Section: gnome 
     
    1116        quilt, 
    1217        libglib2.0-dev (>= 2.16), 
    13         libdbus-1-dev (>= 0.92), 
    14         libdbus-glib-1-dev (>= 0.34), 
    1518        libgconf2-dev (>= 2.14.0), 
    1619        libgtk2.0-dev (>= 2.13), 
    17         libxklavier-dev (>= 4.0), 
     20        libxklavier-dev (>= 5.0), 
    1821        intltool (>= 0.35) 
    1922Standards-Version: 3.8.3 
     
    3033        libgtk2.0-dev (>= 2.13), 
    3134        libgconf2-dev (>= 2.14.0), 
    32         libxklavier-dev (>= 4.0), 
    33         libdbus-1-dev (>= 0.92), 
    34         libdbus-glib-1-dev (>= 0.34), 
     35        libxklavier-dev (>= 5.0), 
    3536        libx11-dev 
    3637Description: GNOME library to manage keyboard configuration - development files 
  • pkg/vinnie/main/libgnomekbd/trunk/debian/control.in

    r6571 r6621  
    1111        quilt, 
    1212        libglib2.0-dev (>= 2.16), 
    13         libdbus-1-dev (>= 0.92), 
    14         libdbus-glib-1-dev (>= 0.34), 
    1513        libgconf2-dev (>= 2.14.0), 
    1614        libgtk2.0-dev (>= 2.13), 
    17         libxklavier-dev (>= 4.0), 
     15        libxklavier-dev (>= 5.0), 
    1816        intltool (>= 0.35) 
    1917Standards-Version: 3.8.3 
     
    3028        libgtk2.0-dev (>= 2.13), 
    3129        libgconf2-dev (>= 2.14.0), 
    32         libxklavier-dev (>= 4.0), 
    33         libdbus-1-dev (>= 0.92), 
    34         libdbus-glib-1-dev (>= 0.34), 
     30        libxklavier-dev (>= 5.0), 
    3531        libx11-dev 
    3632Description: GNOME library to manage keyboard configuration - development files 
  • pkg/vinnie/main/libgnomekbd/trunk/debian/patches/01_requires_private.patch

    r6571 r6621  
    1 Index: libgnomekbd-2.24.0/libgnomekbd.pc.in 
     1Index: libgnomekbd-2.29.92/libgnomekbd.pc.in 
    22=================================================================== 
    3 --- libgnomekbd-2.24.0.orig/libgnomekbd.pc.in   2008-11-21 18:15:37.700766019 +0100 
    4 +++ libgnomekbd-2.24.0/libgnomekbd.pc.in        2008-11-21 18:16:01.756340542 +0100 
     3--- libgnomekbd-2.29.92.orig/libgnomekbd.pc.in  2010-02-22 22:09:00.000000000 +0100 
     4+++ libgnomekbd-2.29.92/libgnomekbd.pc.in       2010-03-28 11:13:14.730507782 +0200 
    55@@ -6,6 +6,7 @@ includedir=@includedir@ 
    66 Name: libgnomekbd 
    77 Description: GNOME keyboard shared library 
    88 Version: @VERSION@ 
    9 -Requires: gmodule-export-2.0 gdk-2.0 >= @GDK_REQUIRED@ gconf-2.0 >= @GCONF_REQUIRED@ libxklavier >= @LIBXKLAVIER_REQUIRED@ dbus-1 >= @DBUS_REQUIRED@ dbus-glib-1 >= @DBUS_GLIB_REQUIRED@ 
    10 +Requires: gmodule-export-2.0 
    11 +Requires.private: gdk-2.0 >= @GDK_REQUIRED@ gconf-2.0 >= @GCONF_REQUIRED@ libxklavier >= @LIBXKLAVIER_REQUIRED@ dbus-1 >= @DBUS_REQUIRED@ dbus-glib-1 >= @DBUS_GLIB_REQUIRED@ 
     9-Requires: gmodule-export-2.0 gdk-2.0 >= @GDK_REQUIRED@ gconf-2.0 >= @GCONF_REQUIRED@ libxklavier >= @LIBXKLAVIER_REQUIRED@ 
     10+Requires: gmodule-export-2.0  
     11+Requires.private: gdk-2.0 >= @GDK_REQUIRED@ gconf-2.0 >= @GCONF_REQUIRED@ libxklavier >= @LIBXKLAVIER_REQUIRED@ 
    1212 Libs: -L${libdir} -lgnomekbd 
    1313 Cflags: -I${includedir} 
  • pkg/vinnie/main/libgnomekbd/trunk/debian/patches/series

    r6571 r6621  
    1101_requires_private.patch 
     202_layout_crash.patch 
    2399_ltmain_as-needed.patch 
  • pkg/vinnie/main/libgnomekbd/trunk/debian/rules

    r6571 r6621  
    1010 
    1111LDFLAGS += -Wl,-z,defs -Wl,-O1 -Wl,--as-needed 
     12 
     13DEB_DH_MAKESHLIBS_ARGS_libgnomekbd4 += -V 'libgnomekbd4 (>= 2.29.5)' 
Note: See TracChangeset for help on using the changeset viewer.